function out=final_result_cl(out1,ki,out2,out3,out4,out5,test_data)  
    [m,n]=size(test_data);
    test_data(m+1,1)=round_val(m+1,1);
    test_data(m+1,2)=out1;
    test_data(m+1,3)=ki;
    test_data(m+1,4)=out2;
    test_data(m+1,5)=out3;
    test_data(m+1,6)=out4;
    test_data(m+1,7)=out5;
    out=test_data;
    
end